package edu.northwestern.dasu.dynamic.coordination;

import java.util.ArrayList;

import edu.northwestern.dasu.measurement.types.ProbeType;

public class BaseClass {

	public static void main(String[] args) {		
		
		String UUID_No = "UUID_001";
		String hostPort = "localhost:2181";
		String TaskID = "Task01";
		ArrayList <String> ListOfIPs = new ArrayList<String>();
		ListOfIPs.add("207.110.23.9");
		ListOfIPs.add("207.0.22.15");
		ListOfIPs.add("165.124.182.203");
		ZooKeeperConnection Client = new ZooKeeperConnection(hostPort);
		
		Client.registerWithZookeeper(UUID_No, TaskID);		
		System.out.println(Client.pullUpdatedLease(TaskID));
		
		Client.reportProbedIps(UUID_No, TaskID, ListOfIPs, ProbeType.PING);//ProbeType can be Tr, Http or Ping
		
	}
}
